Subject: mv643xx(12/20): reorder code to avoid prototype function declarations

From: "Dale Farnsworth" <[email-masked]>
Date: Mon, 28 Mar 2005 16:55:03 -0700

This patch reorders functions to avoid the need for function
prototypes. In practice, low-level routines are moved to the top of
the file and driver API functions to the bottom. This is how most
Linux drivers are laid out.

There are no functional changes here.

Signed-off-by: James Chapman <[email-masked]>
Acked-by: Dale Farnsworth <[email-masked]>

[I have omitted the patch because it's twice the size of the original
file, drivers/net/mv643xx_eth.c, and not useful for analyzing changes
since so many functions were moved.  Again, the code is unchanged
other than changing the order of the functions in the source file.]